.trip__grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 3rem;
    margin: 25vh 13vw;
}

.trip__card {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
    border-radius: 1rem;
    overflow: hidden;
    box-shadow: 5px 5px 30px rgba(0, 0, 0, 0.1);
    transition: 0.8s;
    background-color: white;
}

.trip__card img {
    width: 100%;
    height: auto;
    max-height: 200px; 
    object-fit: cover;
}

.trip__card:hover {
    transform: scale(1.1);
  }

.trip__details {
    padding: 1rem;
    text-align: center;
    width: 100%;
}

.trip__details p {
    margin: 0.5rem 0;
    font-size: 2rem;
    font-weight: 450;
    font-family: "Roboto", sans-serif;
}

.info {
    display: flex;
    justify-content: space-between;
    padding: 0.5rem 0;
    font-size: 1.5rem;
}

.info .tags i {
    margin-right: 0.3rem;
    font-size: 1.3rem;
}

.booking__price {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 1rem;
    width: 100%;
    font-size: 1.1rem;
}

.book__now {
    padding: 0.5rem 1.5rem;
    color: #4f6864;
    border: 1px solid #4f6864;
    border-radius: 5rem;
    background-color: #fff;
    cursor: pointer;
    transition: 0.3s;
}

.book__now:hover {
    color: white;
    background-color: rgba(25, 78, 80, 1);
}

@media screen and (max-width: 890px) {
    .trip__grid {
        grid-template-columns: 1fr;
        gap: 2.5rem;
        margin: 10vh 2vw;
        margin-top: 16vh;
    }

    .trip__card {
        width: 100%;
    }
}
